# Serialized Form

Package javax.servlet

Class javax.servlet.GenericServlet extends java.lang.Object implements Serializable

Class javax.servlet.ServletContextAttributeEvent extends ServletContextEvent implements Serializable

Serialized Fields

### name

    java.lang.String name

### value

    java.lang.Object value

Class javax.servlet.ServletContextEvent extends java.util.EventObject implements Serializable

Class javax.servlet.ServletException extends java.lang.Exception implements Serializable

Serialized Fields

### rootCause

    java.lang.Throwable rootCause

Class javax.servlet.ServletRequestAttributeEvent extends ServletRequestEvent implements Serializable

Serialized Fields

### name

    java.lang.String name

### value

    java.lang.Object value

Class javax.servlet.ServletRequestEvent extends java.util.EventObject implements Serializable

Serialized Fields

### request

    ServletRequest request

Class javax.servlet.UnavailableException extends ServletException implements Serializable

Serialized Fields

### servlet

    Servlet servlet

### permanent

    boolean permanent

### seconds

    int seconds

Package javax.servlet.http

Class javax.servlet.http.HttpServlet extends GenericServlet implements Serializable

Class javax.servlet.http.HttpSessionBindingEvent extends HttpSessionEvent implements Serializable

Serialized Fields

### name

    java.lang.String name

### value

    java.lang.Object value

Class javax.servlet.http.HttpSessionEvent extends java.util.EventObject implements Serializable

Copyright © 1999-2012 The Apache Software Foundation. All Rights Reserved.